BidiProfile (CMDB Model API)
Keywords: com.collation.platform.model.discovery.agent.BidiProfile interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.agent
Interface BidiProfile

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface BidiProfile

extends ModelObject

A Bidi Profile object

Naming Rules:
  0="name"
Persistable:
  true
Table Name:
  BIDIPROFILE
Display Name:
  name

Method Summary
`java.lang.String` | `getBidiProfileFormat()`
`int` | `getLinks()`
`java.lang.String` | `getName()`
`java.lang.String` | `getProfileDesc()`
`boolean` | `hasBidiProfileFormat()`
`boolean` | `hasLinks()`
`boolean` | `hasName()`
`boolean` | `hasProfileDesc()`
`void` | `setBidiProfileFormat(java.lang.String format)`
`void` | `setLinks(int links)`
`void` | `setName(java.lang.String name)`
`void` | `setProfileDesc(java.lang.String desc)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getProfileDesc

    java.lang.String getProfileDesc()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProfileDesc

    void setProfileDesc(java.lang.String desc)

### hasProfileDesc

    boolean hasProfileDesc()

### getBidiProfileFormat

    java.lang.String getBidiProfileFormat()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBidiProfileFormat

    void setBidiProfileFormat(java.lang.String format)

### hasBidiProfileFormat

    boolean hasBidiProfileFormat()

### getLinks

    int getLinks()
                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLinks

    void setLinks(int links)

### hasLinks

    boolean hasLinks()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD